Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.intermediate
Interface IFDocumentNavigationHandler

All Known Implementing Classes:
  IFSerializer, PDFDocumentNavigationHandler

    public interface IFDocumentNavigationHandler

Interface to handle document navigation features. This is an optional interface for document handler implementations which support document navigation features.

Method Summary
`void` | `addResolvedAction(AbstractAction action)`
`void` | `renderBookmarkTree(BookmarkTree tree)` Render the bookmark tree.
`void` | `renderLink(Link link)`
`void` | `renderNamedDestination(NamedDestination destination)` Renders a named destination.

Method Detail

### renderNamedDestination

    void renderNamedDestination(NamedDestination destination)
                                throws IFException

  Renders a named destination.

  Parameters:
    `destination` - the named destination
  Throws:
    `IFException` - if an error occurs while handling this event

### renderBookmarkTree

    void renderBookmarkTree(BookmarkTree tree)
                            throws IFException

  Render the bookmark tree.

  Parameters:
    `tree` - the bookmark tree
  Throws:
    `IFException` - if an error occurs while handling this event

### renderLink

    void renderLink(Link link)
                    throws IFException

  Parameters:
    `link` - a link
  Throws:
    `IFException` - of not caught

### addResolvedAction

    void addResolvedAction(AbstractAction action)
                           throws IFException

  Parameters:
    `action` - an action
  Throws:
    `IFException` - of not caught

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.